package com.bocloud.ims.service.builder;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.ServerModel;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.ims.entity.resource.CloudServer;

public interface ServerBuilder {

	BocloudResult<ServerModel> prepare(JSONObject object) throws Exception;

	BocloudResult<CloudServer> builder(CloudServer server) throws Exception;

	default BocloudResult<CloudServer> builderAsTemplate(CloudServer server) throws Exception {
		return null;
	}
}
